# Changelog

All notable changes to this project will be documented in this file.  
This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
## [0.7.0] - 2024-03-26 
### Changed 
- Updated files location 

## [0.6.3] - 2025-03-19
### Changed 
- Jenkinsfile to upload debian packages

## [0.6.2] - 2025-03-19
### Changed 
- Jenkinsfile to upload debian packages

## [0.6.1] - 2025-02-25 

### Fixed 
- Arreglos menores

## [0.6.1] - 2025-02-25 

### Fixed 
- Arreglos menores

## [0.6.0] - 2025-02-25

### Changed
- No hay cambios en esta versión, se incrementa el tag de `0.5.12` a `0.6.0`.

## [0.5.12] - 2025-02-25

### Added
- Monta `efivars` al inicio del arranque del `oglive`.

### Fixed
- Corrige un error en un `awk` al obtener entradas NVRAM.
- Devuelve un array vacío cuando no hay `oglives` instalados.
- Devuelve una excepción cuando se intenta instalar un `Oglive` ya instalado.

## [0.5.11] - 2025-02-06

### Changed
- Permite la lectura de otros usuarios en el home `/opt/opengnsys` del usuario `opengnsys`.

## [0.5.10] - 2025-02-06

### Changed
- Cambia el home del usuario `opengnsys` a `/opt/opengnsys`.

## [0.5.9] - 2025-02-03

### Added
- Añade el puerto `8443` de `ogcore` al `PostConf.lib`.

## [0.5.8] - 2025-01-13

### Fixed
- Arregla un bug que no añadía los parámetros `ogcore` y `oglog` al crear los ficheros de arranque.

## [0.5.7] - 2025-01-13

### Added
- Añade logs para todos los endpoints siguiendo un formato JSON preestablecido.

### Changed
- Actualiza `monolog.yaml` para enviar logs al `journal` de la máquina.
